Project

General

Profile

Bug #17335

[Weblate] Update Django 1.11.x -> 2.2.y

Added by hefee 4 months ago.

Status:
Confirmed
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
Due date:
% Done:

0%

Feature Branch:
Type of work:
Sysadmin
Blueprint:
Starter:
Affected tool:
Translation Platform

Description

We use currently use Django 1.11.26 but we could switch to 2.2.y, as both versions are supported by Weblate.

Django has currently two LTS versions
  • 1.11 is supported until April 2020
  • 2.2 is supported until April 2022 (because if CVE-2019-19118, we should install 2.2.y with y > 7)

Weblate 4.0 won't support 1.11 anymore, what is scedulaed for Aplit next year see weblate#2201.

We need to check what new depdendencies of Django 2.2 needs to be added to puppet.

Also available in: Atom PDF